Subject: bug#1474: bug#25232: 24.4; Eliminate - Warning: Desktop file appears to be in use

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 24 Mar 2022 09:25:35 +0100

Eli Zaretskii <[email-masked]> writes:

> Perhaps you could use the name you find in command-line-args?  Note
> that it might include leading directories, and at least on Windows the
> directory separator might either be a slash or a backslash, so use of
> file-name-nondirectory is advised.

I've now applied Stefan's patch to Emacs 29 (adjusting for Eli's
comments).  There's still the question of altering the desktop format to
identify the machine it's running on, but I think Stefan's patch covers
most of the issue discussed, if I understand correctly.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no